Subject: Re: [PATCH 2/6] Makefile: begin refactoring out "ln || ln -s || cp" pattern

From: Junio C Hamano <[email-masked]>
Date: Mon, 29 Mar 2021 15:20:50 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Begin refactoring out the "ln || ln -s || cp" pattern in the Makefile
> into a script. For now this is trivial, but in subsequent commits
> it'll simplify things a lot.

I agree with the approach.  The precedence glitch I commented on in
my review of [1/6] (e.g. how would I say "I never ever want symbolic
links---just use hardlink and fall back to copying") would be much
easier to solve if a single helper is used consistenly---that would
give us a single place to centrally fix.